QB_IPCS_CONNECTION_STATS_GET(3)

NAME
qb_ipcs_connection_stats_get - Get the connection statistics.

SYNOPSIS
#include <qb/qbipcs.h>

int32_t qb_ipcs_connection_stats_get(
    qb_ipcs_connection_t              *c,                 /* connection instance */
    struct qb_ipcs_connection_stats   *stats,             /* (out) the statistics structure */
    int32_t                            clear_after_read   /* clear stats after copying them into stats */
);

PARAMS
c connection instance

stats (out) the statistics structure

clear_after_read clear stats after copying them into stats

DESCRIPTION

STRUCTURES

struct qb_ipcs_connection_stats {

    int32_t   client_pid;

    uint64_t  requests;

    uint64_t  responses;

    uint64_t  events;

    uint64_t  send_retries;

    uint64_t  recv_retries;

    int32_t   flow_control_state;

    uint64_t  flow_control_count;
};

RETURN VALUE

0 == ok; -errno to indicate a failure

SEE ALSO

qb_ipcs_response_send(3), qb_ipcs_ref(3), qb_ipcs_unref(3), qb_ipcs_connection_auth_set(3), qb_ipcs_service_context_get(3), qb_ipcs_connection_ref(3), qb_ipcs_connection_next_get(3), qb_ipcs_stats_get(3), qb_ipcs_connection_unref(3), qb_ipcs_context_set(3), qb_ipcs_poll_handlers_set(3), qb_ipcs_request_rate_limit(3), qb_ipcs_disconnect(3), qb_ipcs_connection_first_get(3), qb_ipcs_enforce_buffer_size(3), qb_ipcs_destroy(3), qb_ipcs_event_send(3), qb_ipcs_connection_stats_get_2(3), qb_ipcs_service_context_set(3), qb_ipcs_service_id_get(3), qb_ipcs_context_get(3), qb_ipcs_connection_get_buffer_size(3), qb_ipcs_create(3), qb_ipcs_run(3), qb_ipcs_event_sendv(3), qb_ipcs_connection_service_context_get(3), qb_ipcs_response_sendv(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.